AIX Open Source

Expand all | Collapse all

Yum check error : libXpm-3.5.10-1.ppc has missing requires of AIX-rpm

  • 1.  Yum check error : libXpm-3.5.10-1.ppc has missing requires of AIX-rpm

    Posted Thu April 22, 2021 11:29 AM
    Hello,
    YUM is successfully installed on our AIX 7.2 LPAR adcci063.
    The YUM CHECK command returns the error below :
    adcci063(root) /tmp/yum_deploiement # yum check
    libXpm-3.5.10-1.ppc has missing requires of AIX-rpm < ('0', '6.1.0.0', None)
    Error: check all



    adcci063(root) /tmp/yum_deploiement #
    adcci063(root) /tmp/yum_deploiement #
    adcci063(root) /tmp/yum_deploiement #
    adcci063(root) /tmp/yum_deploiement # rpm -qa libXpm
    libXpm-3.5.10-1.ppc
    adcci063(root) /tmp/yum_deploiement # rpm -qi libXpm
    Name : libXpm
    Version : 3.5.10
    Release : 1
    Architecture: ppc
    Install Date: Thu Jul 17 11:19:50 DFT 2014
    Group : System Environment/Libraries
    Size : 390405
    License : MIT/X11
    Signature : (none)
    Source RPM : libXpm-3.5.10-1.src.rpm
    Build Date : Tue Jun 5 22:13:59 DFT 2012
    Build Host : aix51
    Relocations : (not relocatable)
    URL : http://www.x.org
    Summary : X.Org X11 libXpm runtime library
    Description :
    X.Org X11 libXpm runtime library.
    The library is available as 32-bit and 64-bit.
    adcci063(root) /tmp/yum_deploiement #
    adcci063(root) /tmp/yum_deploiement #
    adcci063(root) /tmp/yum_deploiement # yum list libXpm
    Installed Packages
    libXpm.ppc 3.5.10-1 installed
    adcci063(root) /tmp/yum_deploiement #

    How can we solve this error ? We can see the libXpm package is not avallable in the IBM AIX TOOLBOX.
    We thank you very much for your help,
    Nicolas


    ------------------------------
    Nicolas KAPLIN
    ------------------------------


  • 2.  RE: Yum check error : libXpm-3.5.10-1.ppc has missing requires of AIX-rpm

    Posted Thu April 22, 2021 01:39 PM
    From where did you install libXpm-3.5.10-1.ppc 
    I don't think this is delivered from AIX toolbox. 
    Looks like the dependency for this rpm is not satisfied. This rpm was probably built for lower level of AIX.
    You can verify by running following command. It will show what level of AIX-rpm is needed and then you can verify what level of AIX-rpm you have.

    #rpm -qR libXpm-3.5.10-1.ppc

    ​#rpm -qi AIX-rpm

    If this rpm is not needed then you can remove otherwise install the correct version.


    ------------------------------
    SANKET RATHI
    ------------------------------



  • 3.  RE: Yum check error : libXpm-3.5.10-1.ppc has missing requires of AIX-rpm

    Posted Fri April 23, 2021 03:57 AM
    Edited by Nicolas KAPLIN Fri April 23, 2021 03:59 AM
    Hello Sanket,

    Thank you for your answer, you are right , this rpm doesnt come from AIX toolbox (we dont know where it come from, old server, and who installed it) :

    adcci063(root) /home/kaplin # rpm -qR libXpm-3.5.10-1.ppc
    xorg-compat-aix
    AIX-rpm < 6.1.0.0
    libX11.a(shr4.o)
    libc.a(shr.o)




    adcci063(root) /home/kaplin # rpm -qi AIX-rpm
    Name : AIX-rpm
    Version : 7.2.4.0
    Release : 15
    Architecture: ppc
    Install Date: Wed Apr 21 14:48:30 DFT 2021
    Group : System Environment/Libraries
    Size : 0
    License : none
    Signature : (none)
    Source RPM : AIX-rpm-7.2.4.0-15.src.rpm
    Build Date : Wed Apr 21 14:48:29 DFT 2021
    Build Host : adcci063
    Relocations : (not relocatable)
    Packager : auto-generated
    Summary : Virtual Package for libraries and shells installed on system
    Description :
    This package contains no files. It is a package which contains
    information about shared libraries and shell interpreters installed
    on the operating system.

    We need to check with others teams if we can remove the rpm.

    Thank you again

    Have a nice day


    ------------------------------
    Nicolas KAPLIN
    ------------------------------



  • 4.  RE: Yum check error : libXpm-3.5.10-1.ppc has missing requires of AIX-rpm

    Posted Fri October 15, 2021 06:43 AM
    For those that encounter issues with libXpm, libXpm is provided by the LPP package X11.base.lib

    ------------------------------
    Pumynt Chooboonraj
    Solution Architect
    Sphere Grouppe Pty Ltd
    Melbourne VIC
    ------------------------------